[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.Bits

Access to all bits in the array.

## Declaration

Source position: classesh.inc line 421

`public property TBits.Bits[Bit: LongInt] : Boolean read get write SetBit; default;`

## Description

Bits allows indexed access to all of the bits in the array. It gives True if the bit is 1, False otherwise; Assigning to this property will set, respectively clear the bit.

## Errors

If an index is specified which is out of the allowed range then an EBitsError exception is raised.

## See also

Size |  | Current size of the array of bits.